%define major	2
%define libname %mklibname pcd %{major}
%define devname %mklibname pcd -d

Summary:	Library for decoding PhotoCD images
Name:		libpcd
Version:	1.0.1
Release:	%mkrel 17
License:	GPLv2
Group:		System/Libraries
URL:		http://linux.bytesex.org/fbida/libpcd.html
Source:		http://dl.bytesex.org/releases/%{name}/%{name}_%{version}.tar.bz2

%description
%{name} is a tiny library for decoding PhotoCD images. It used to come
bundled with xpcd, but software maintainer decided to release the library
separately after declaring xpcd obsolete.

%package	-n %{libname}
Summary:	Library for decoding PhotoCD images
Group:		System/Libraries

%description	-n %{libname}
%{name} is a tiny library for decoding PhotoCD images. It used to come
bundled with xpcd, but software maintainer decided to release the library
separately after declaring xpcd obsolete.

%package	-n %{devname}
Summary:	Development related files of %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}pcd2-devel < 1.0.1-10

%description	-n %{devname}
%{name} is a tiny library for decoding PhotoCD images. It used to come
bundled with xpcd, but software maintainer decided to release the library
separately after declaring xpcd obsolete.

This package contains all files you need to compile applications/libraries
that has Photo CD image support.

%prep
%setup -q

%build
export CFLAGS="%optflags"
%make_build

%install
# don't use makeinstall_std
%makeinstall

find %{buildroot} -name "*.a" -delete

%files -n %{libname}
%doc README
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%doc pcd.css pcd.html
%{_includedir}/pcd.h
%{_libdir}/%{name}.so


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1.0.1-17.mga9
+ Revision: 1792052
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.1-16.mga8
+ Revision: 1514383
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-15.mga7
+ Revision: 1299086
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-14.mga6
+ Revision: 946050
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-13.mga5
+ Revision: 746070
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-12.mga5
+ Revision: 681702
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-11.mga4
+ Revision: 532594
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 1.0.1-10.mga4
+ Revision: 468854
- drop major from dev pkg name
- drop static build
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-9.mga3
+ Revision: 357952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 1.0.1-8.mga3
+ Revision: 323427
- clean spec
- fix rpm group

* Tue Nov 01 2011 kharec <kharec> 1.0.1-7.mga2
+ Revision: 161117
- imported package libpcd

